Subject: bug#73881: 31.0.50; Unexpected warnings about recursive occurrences of obsolete functions

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Oct 2024 22:24:05 -0400

> To me as well.  Would there any harm in emitting the make-obsolete form
> above the defalias form to cover also the warnings for recursive calls?

I can come up with scenarios where it would, of course, but they're
probably not too important.

OTOH these entries are generated by a generic piece of code which
handles all the `declare` thingies and puts them all after the function
definition, and moving them *all* would seem a lot more risky.

        Stefan